using System;
using System.Collections.Generic;
using GxPress.EnumConst;
using GxPress.Result.App.GroupUser;

namespace GxPress.Result.App.Group
{
    /// <summary>
    /// 最近使用的小组
    /// </summary>
    public class LatelyGroupDetailResult
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 小组名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 共享人数
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int TypeId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
    }
    /// <summary>
    /// 小组详情
    /// </summary>
    public class GroupDetailResult
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 小组名称
        /// </summary>

        public string Name { get; set; }

        /// <summary>
        /// 小组创始人
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>

        public string QRCoder { get; set; }

        /// <summary>
        /// 头像
        /// </summary>

        public string AvatarUrl { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>

        public string Introduce { get; set; }

        /// <summary>
        ///是否管理用同意
        /// </summary>

        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>

        public bool IsWords { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>

        public bool IsUDisturb { get; set; }

        /// <summary>
        /// 小组文件夹ID
        /// </summary>

        public int GroupFolderId { get; set; }

        /// <summary>
        /// 创始人姓名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 成员数据
        /// </summary>
        public IEnumerable<GroupUserListResult> GroupUserListResult { get; set; }
        /// <summary>
        /// 权限1 超级管理员 2 管理员 3普通用户
        /// </summary>
        public GroupUserRoleTyeConst GroupUserRoleId { get; set; }

        /// <summary>
        /// 小组成员数量
        /// </summary>
        public int GroupUserNumber { get; set; }
        /// <summary>
        /// 小组话题数量
        /// </summary>
        public int GroupTopicNumber { get; set; }

        /// <summary>
        /// 是否是群成员
        /// </summary>
        public bool IsUser { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 标签
        /// </summary>
        /// <value></value>
        public string LabelName { get; set; }
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; }
        /// <summary>
        /// 历史头像
        /// </summary>
        /// <value></value>
        public string HistoryAvatarUrl { get; set; }
        /// <summary>
        /// 是否申请中
        /// </summary>
        /// <value></value>
        public bool IsApply { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value></value>
        public string CategroyName { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        public int Sort { get; set; }

        /// <summary>
        /// 广场ID
        /// </summary>
        public int GroupCategroyId { get; set; }
        /// <summary>
        /// 主要成员
        /// </summary>
        /// <value></value>
        public int MainMemberCount { get; set; }
        /// <summary>
        /// 普通成员数量
        /// </summary>
        /// <value></value>
        public int CommonMemberCount { get; set; }
        /// <summary>
        /// 主要成员数据
        /// </summary>
        public IEnumerable<GroupUserListResult> MainMemberListResult { get; set; }
        /// <summary>
        /// 普通成员数据
        /// </summary>
        public IEnumerable<GroupUserListResult> CommonMemberListResult { get; set; }
        /// <summary>
        /// 是否创建者
        /// </summary>
        /// <value></value>
        public bool IsCreator { get; set; }
    }
    /// <summary>
    /// 用户小组列表
    /// </summary>
    public class UserGroupList
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 小组名称
        /// </summary>

        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>

        public string AvatarUrl { get; set; }
        /// <summary>
        /// 共享用户数量
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }

    }
    /// <summary>
    /// 
    /// </summary>
    public class UserGroupResult
    {
        /// <summary>
        /// 小组ID  -1 全网公开 -2 我的小组 
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 小组名称
        /// </summary>
        public string Name { get; set; }

    }
    /// <summary>
    /// 小组搜索
    /// </summary>
    public class SearchGroupDetailResult
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 简介
        /// </summary>
        /// <value></value>
        public string Introduce { get; set; }
        /// <summary>
        /// 小组名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 用户数量
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }
        /// <summary>
        /// 发布数量
        /// </summary>
        /// <value></value>
        public int TopicCount { get; set; }
        /// <summary>
        /// 是否申请
        /// </summary>
        /// <value></value>
        public bool IsApply { get; set; }
        /// <summary>
        /// 是否是成员
        /// </summary>
        /// <value></value>
        public bool IsUser { get; set; }
        /// <summary>
        /// 是否需要管理员同意
        /// </summary>
        /// <value></value>
        public bool IsAdmin { get; set; }
    }
}
