using System;
using System.Collections.Generic;
using GxPress.Result.Media;

namespace GxPress.Result.App.Note
{
    /// <summary>
    /// 分页显示笔记
    /// </summary>
    public class NotePageListRequest : Middle.Middle
    {
        /// <summary>
        /// Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 数据结构
        /// </summary>
        public List<ContentJsonData> Data { get; set; }
        /// <summary>
        /// 文件数量
        /// </summary>
        public int FileCount { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsPraise { get; set; }

        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        public string DepartmentName { get; set; }

        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>
        public string NickName { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        /// <value></value>
        public bool IsRetransmission { get; set; }

        /// <summary>
        /// 是否收藏
        /// </summary>
        /// <value></value>
        public bool IsCollect { get; set; }
        /// <summary>
        /// 数据类型 1 没有 2 图 3 文件
        /// </summary>
        public int DataType { get; set; }
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        public int MediaId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string CatalogId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string ChapterId { get; set; }
        /// <summary>
        /// 是否摘录
        /// </summary>
        /// <value></value>
        public bool IsExtract { get; set; }
        /// <summary>
        /// 笔记摘录
        /// </summary>
        /// <value></value>
        public MediaNoteResult MediaNoteResult { get; set; }

        public int FolderId { get; set; }
        public string FolderParentName { get; set; }
    }
}
